import React from 'react'
import './style.scss'
import {
  Button
} from 'react-mdl'

export default class CarmelComponent extends React.Component {

  get backgroundImage() {
    return this.props.image
  }

  get action() {
    return this.props.action || "/"
  }

  render () {
    return (
        <div styleName="container" style={{"background": `url(${this.backgroundImage}) no-repeat center center`}}>
          <div styleName="content">
            <h1> {this.props.text.title} </h1>
            <p> {this.props.text.summary} </p>
              <Button raised accent ripple id="city-button" href={this.action}>
                { this.props.text.action }
              </Button>
          </div>
        </div>
    )
  }
}
